Skip to main content
GET
GetCallGraphData

Path Parameters

tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

uuid
string
required

The UUID of the requested resource.

Query Parameters

get_parameters.mask
string

List of fields to return (all fields are returned by default).

Response

A successful response.

CallGraphData represents a call graph data request in the system.

meta
object
required

Common fields for all Endor Labs resources.

tenant_meta
object
required

Tenant related data for the tenant containing the resource.

any
object

Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.

Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.

Example 1: Pack and unpack a message in C++.

Example 2: Pack and unpack a message in Java.

Example 3: Pack and unpack a message in Python.

Example 4: Pack and unpack a message in Go

The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".

JSON

The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:

If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):

context
object

Contexts keep objects from different scans separated.

An internal value that identifies the callgraph storage location.

storage_url
string
read-only

The URL of the storage location of the callgraph.

uuid
string
read-only

The UUID for a call graph resource.

zstd_bytes
string<byte>

Callgraph proto bytes are encoded in zstd bytes. The caller is responsible to compress/uncompress the bytes.